Distribution:	CCux
Packager:	Christian Wasem <wasem@cux-linux.de>

Name:		grep
Version:	2.7
Release:	1
License:	GNU/GPL
URL:		ftp://ftp.gnu.org/gnu/grep/
Group:		System/Base
Source0:	%{name}-%{version}.tar.xz
BuildArch:	i686
Summary:	%{name} contains programs for searching through files.
Requires(pre,preun): /sbin/install-info

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: pcre-devel

%description
grep contains programs for searching through files.
For more details see: ftp://ftp.gnu.org/gnu/grep/

%post
/sbin/install-info %_infodir/%{name}.info.gz %_infodir/dir
ldconfig

%preun
if [ "$1" = 0 ]; then
/sbin/install-info --del %_infodir/%{name}.info.gz %_infodir/dir
fi

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--bindir=/bin \
--with-included-regex \
--mandir=%_mandir \
--infodir=%_infodir
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%_infodir/dir

%files
%defattr(-,root,root)
/bin/egrep
/bin/fgrep
/bin/grep
%{_infodir}/grep.info.gz
%{_locale}/*/LC_MESSAGES/grep.mo
%{_mandir}/man1/egrep.1.gz
%{_mandir}/man1/fgrep.1.gz
%{_mandir}/man1/grep.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.7-1
- Version update
* Mon Apr 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.6.3-1
- Version update
* Sun Jan 10 2010 Christian Wasem <wasem@cux-linux.de> 2.5.4-2
- removed rpm as a require
* Sat Feb 14 2009 Christian Wasem <wasem@cux-linux.de> 2.5.4-1
- Version update
* Sat Jul 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.5.3-1
- version update
* Sat Jul 26 2008 Christian Metzen <metzench@ccux-linux.de> 2.5.1a-3
- added pcre requires
* Tue Nov 29 2005 Christian Wasem <wasem@cux-linux.de> 2.5.1a-2
- rebuilt, removed wrong Obsoletes-Tag, added info install
* Thu Feb 10 2005 Christian Wasem <wasem@cux-linux.de> 2.5.1a-1
- update from version 2.5-1
